- @page_title = t('.title')

%p= render 'account/calendars/help'

- if current_user.calendar_token.present?
  %section.-mtl
    %p= t('.use_this_link_in_cal_apps')

  .rui-field
    %label{ for: 'calendar-link-all' }= t('.all_tasks_on_all_maps')

    .rui-field__field
      -# haml-lint:disable LineLength
      %input#calendar-link-all{ type: :text,
                                readonly: true,
                                autocomplete: 'off',
                                value: account_calendar_url(params: { token: current_user.calendar_token, scope: :all }) }
      %button.rui-field__field__append{ type: :button,
                                        onclick: 'navigator.clipboard.writeText(document.getElementById("calendar-link-all").value)' }
        = icon :duplicate
        = t('generic.copy')
      -# haml-lint:enable LineLength

  .rui-field
    %label{ for: 'calendar-link' }= t('.all_assigned_tasks')

    .rui-field__field
      %input#calendar-link{ type: :text,
                            readonly: true,
                            autocomplete: 'off',
                            value: account_calendar_url(params: { token: current_user.calendar_token }) }
      -# haml-lint:disable LineLength
      %button.rui-field__field__append{ type: :button,
                                        onclick: 'navigator.clipboard.writeText(document.getElementById("calendar-link").value)' }
        = icon :duplicate
        = t('generic.copy')
      -# haml-lint:enable LineLength

  .rui-actions.-mtd
    = button_to refresh_account_calendar_url,
                  data: { confirm: t('.refresh_warning') },
                  method: :put,
                  class: 'rui-button rui-button--canceling' do
      = icon :refresh
      = t('.renew')
    = button_to account_calendar_url,
                data: { confirm: t('.destroy_warning') },
                method: :delete,
                class: 'rui-button rui-button--destructive' do
      = icon :trash
      = t('generic.destroy')
- else
  .rui-actions
    = button_to t('.generate_token'), refresh_account_calendar_url,
                                      method: :put,
                                      class: 'rui-button rui-button--creative'
